OpenTTD Source: LoggedChangeGRFBug Struct Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields
LoggedChangeGRFBug Struct Reference
Inheritance diagram for LoggedChangeGRFBug:

## Public Member Functions
| LoggedChangeGRFBug (uint64_t data, uint32_t grfid, GRFBug bug)
void | FormatTo (std::back_insert_iterator< std::string > &output_iterator, GrfIDMapping &grf_names, GamelogActionType action_type) override
Public Member Functions inherited from LoggedChange
| LoggedChange (GamelogChangeType type=GLCT_NONE)

## Data Fields
uint64_t | data = 0
| additional data
uint32_t | grfid = 0
| ID of problematic GRF.
GRFBug | bug {}
| type of bug,
Data Fields inherited from LoggedChange
GamelogChangeType | ct {}

## Detailed Description

Definition at line 125 of file gamelog_internal.h.

## Constructor & Destructor Documentation

## ◆ LoggedChangeGRFBug() [1/2]

LoggedChangeGRFBug::LoggedChangeGRFBug | ( |  | ) |
| inline

Definition at line 126 of file gamelog_internal.h.

## ◆ LoggedChangeGRFBug() [2/2]

LoggedChangeGRFBug::LoggedChangeGRFBug | ( | uint64_t | data,
|  | uint32_t | grfid,
|  | GRFBug | bug
| ) |  |
| inline

Definition at line 127 of file gamelog_internal.h.

## Member Function Documentation

## ◆ FormatTo()

void LoggedChangeGRFBug::FormatTo | ( | std::back_insert_iterator< std::string > & | output_iterator,
|  | GrfIDMapping & | grf_names,
|  | GamelogActionType | action_type
| ) |  |
| overridevirtual

Implements LoggedChange.

Definition at line 292 of file gamelog.cpp.

## Field Documentation

## ◆ bug

GRFBug LoggedChangeGRFBug::bug {}

type of bug,

See also
  enum GRFBugs

Definition at line 133 of file gamelog_internal.h.

Referenced by Gamelog::GRFBugReverse().

## ◆ data

uint64_t LoggedChangeGRFBug::data = 0

additional data

Definition at line 131 of file gamelog_internal.h.

Referenced by Gamelog::GRFBugReverse().

## ◆ grfid

uint32_t LoggedChangeGRFBug::grfid = 0

ID of problematic GRF.

Definition at line 132 of file gamelog_internal.h.

Referenced by Gamelog::GRFBugReverse().

The documentation for this struct was generated from the following files:

- src/gamelog_internal.h
- src/gamelog.cpp